Upload punchout search items
post
/fscmRestApi/resources/11.13.18.05/punchoutCatalogs/{CatalogId}/action/uploadPunchoutSearchItems
Uploads punchout search items to the punchout catalog based on the uploaded file referenced by the parameters.
Request
Path Parameters
-
CatalogId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/vnd.oracle.adf.action+json
Root Schema : schema
Type:
Show Source
object-
parameters: object
parameters
Additional Properties Allowed: additionalPropertiesObject that lists the attributes required for uploading search items: processId and errorThreshold. The processId attribute is mandatory and is the unique identifier for the upload process that contains information about the punchout catalog and file. The errorThreshold attribute is the optional numeric value that indicates the maximum number of errors allowed for the process to continue.
Nested Schema : parameters
Type:
objectAdditional Properties Allowed
Show Source
Object that lists the attributes required for uploading search items: processId and errorThreshold. The processId attribute is mandatory and is the unique identifier for the upload process that contains information about the punchout catalog and file. The errorThreshold attribute is the optional numeric value that indicates the maximum number of errors allowed for the process to continue.
Response
Supported Media Types
- application/json
- application/vnd.oracle.adf.actionresult+json
Default Response
The following table describes the default response for this task.
Root Schema : schema
Type:
Show Source
object-
result(required): object
result
Additional Properties Allowed: additionalPropertiesIf the request is successful, then this action returns the identifier value of the submitted process. Otherwise, it returns the relevant error message.
Nested Schema : result
Type:
objectAdditional Properties Allowed
Show Source
If the request is successful, then this action returns the identifier value of the submitted process. Otherwise, it returns the relevant error message.